import { HcApi } from "../../request/index";

export default {
    async page(form) {
        return HcApi({
            url: "/api/blade-meter/mid/pay/item/system/page",
            method: "post",
            data: form,
        });
    },
    async submit(form) {
        return HcApi({
            url: "/api/blade-meter/mid/pay/item/system/submit",
            method: "post",
            data: form,
        });
    },
    async del(ids) {
        return HcApi({
            url: "/api/blade-meter/mid/pay/item/system/remove",
            method: "get",
            params: { id: ids },
        });
    },
    async getProDetail(data) {
        return HcApi({
            url: "/api/blade-meter/mid/pay/item/system/detail",
            method: "get",
            params: data,
        });
    },
    async getProListPage(data) {
        return HcApi({
            url: "/api/blade-meter/mid/pay/item/system/list",
            method: "post",
            params: data,
        });
    },
    async addCollect(data) {
        return HcApi({
            url: "/api/blade-meter/mid/pay/item/bind/submit",
            method: "post",
            params: data,
        });
    },
    async removeCollect(data) {
        return HcApi({
            url: "/api/blade-meter/mid/pay/item/bind/remove",
            method: "post",
            params: data,
        });
    },
};
